From e2b574ac57f97ec058d7d153cde24365e5c31304 Mon Sep 17 00:00:00 2001
From: Johannes Wienke <languitar@semipol.de>
Date: Fri, 3 Aug 2012 23:31:13 +0200
Subject: [PATCH 2/2] Fixed quoting in src/CMakeLists.txt
 * src/CMakeLists.txt: quote input and output file names when
   configuring RSCVersion.{h,cpp}

---
 src/CMakeLists.txt |    6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)

diff --git a/src/CMakeLists.txt b/src/CMakeLists.txt
index 6dabc77..5bfc1cb 100644
--- a/src/CMakeLists.txt
+++ b/src/CMakeLists.txt
@@ -19,8 +19,8 @@ PAD_STRING(MAJOR_PADDED 2 "0" ${RSC_VERSION_MAJOR})
 PAD_STRING(MINOR_PADDED 2 "0" ${RSC_VERSION_MINOR})
 PAD_STRING(PATCH_PADDED 2 "0" ${RSC_VERSION_PATCH})
 SET(RSC_VERSION_NUMERIC "${MAJOR_PADDED}${MINOR_PADDED}${PATCH_PADDED}")
-CONFIGURE_FILE(rsc/RSCVersion.cpp.in ${CMAKE_CURRENT_BINARY_DIR}/rsc/RSCVersion.cpp @ONLY)
-CONFIGURE_FILE(rsc/RSCVersion.h.in ${CMAKE_CURRENT_BINARY_DIR}/rsc/RSCVersion.h @ONLY)
+CONFIGURE_FILE(rsc/RSCVersion.cpp.in "${CMAKE_CURRENT_BINARY_DIR}/rsc/RSCVersion.cpp" @ONLY)
+CONFIGURE_FILE(rsc/RSCVersion.h.in "${CMAKE_CURRENT_BINARY_DIR}/rsc/RSCVersion.h" @ONLY)
 
 INCLUDE_DIRECTORIES(BEFORE ${CMAKE_CURRENT_BINARY_DIR} ${CMAKE_CURRENT_SOURCE_DIR}/rsc)
 
@@ -35,7 +35,7 @@ FILE(GLOB SOURCES RELATIVE ${CMAKE_CURRENT_SOURCE_DIR}
 SET(SOURCES ${SOURCES}
             rsc/debug/DebugTools.cpp
             rsc/subprocess/Subprocess.cpp
-            ${CMAKE_CURRENT_BINARY_DIR}/rsc/RSCVersion.cpp)
+            "${CMAKE_CURRENT_BINARY_DIR}/rsc/RSCVersion.cpp")
 
 FILE(GLOB HEADERS RELATIVE ${CMAKE_CURRENT_SOURCE_DIR}
                   "rsc/logging/*.h"
-- 
1.7.0.4

